Subject: Re: FVWM: HoverIcon for FvwmButtons (Was: animated FvwmButtons)

From: [email-masked]
Date: Tue, 06 Jul 2004 00:05:06 +0800

Hi SCoTT,

In your mail:
>Hi Liu,
> 
> > > I had a go at implementing a "HoverIcon" option for the FvwmButtons module.
> > > This allows an alternative image to be displayed when the mouse cursor is
> > > over a button.
> > > 
> > > See here:
> > > 
> > > http://users.tpg.com.au/users/scottie7/tmp/hoverIcon.html
> > 
> > I've try out this patch.
> > Pretty stable and efficient.
> 
> Cool! Thanks for the feedback.

I'd like this patch to be stablized and merged into fvwm:-)
Maybe you can add a hovertitle option to FvwmButtons, and 
even a hover state to title buttons:-)

> 
> > I've spent quite a lot of time
> > figure out how to implement a similar
> > effect using FvwmButtons and FvwmAuto
> > (http://liusd.spymac.net/linux/fvwm).
> 
> So you're dynamically changing the icon of FvwmButtons with the
> SendToModule command & then creating another dock to display the
> enlarged icon - have I understood that correctly?
> 

Yeah, this is how it works.

> Out of curiosity, how responsive is this?
>

I have a P4 2G cpu. This causes no speed loss, at least,
I can't feel it. As for the 'responsive', I set a delay 100ms
in case mouse accidentally enter the dock and leave it very soon.

Anyway, you can download 
'http://liusd.spymac.net/linux/fvwm/tmp/test.tgz'
and in FvwmConsole issue 'Read liusDock' to try it out.

> SCoTT. :)
> --

Best,
Liu

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].